{
  "name": "Nginx Proxy Manager",
  "id": "npm",
  "available": true,
  "short_desc": "Docker container for managing Nginx proxy hosts with a simple, powerful web interface",
  "author": "jc21",
  "hostname": "nginx.alexzaw.dev",
  "categories": [
    "utilities",
    "network"
  ],
  "description": "Nginx Proxy Manager enables you to easily forward to your websites running at home or otherwise, including free SSL, without having to know too much about Nginx or Letsencrypt.",
  "tipi_version": 2,
  "version": "2.13.5",
  "source": "https://github.com/NginxProxyManager/nginx-proxy-manager",
  "website": "https://nginxproxymanager.com",
  "exposable": true,
  "dynamic_config": true,
  "no_gui": false,
  "form_fields": [
    {
      "type": "number",
      "label": "HTTP Port",
      "env_variable": "NPM_HTTP_PORT",
      "default": "80",
      "required": true,
      "hint": "Port for HTTP traffic (mapped to container port 80)"
    },
    {
      "type": "number",
      "label": "HTTPS Port",
      "env_variable": "NPM_HTTPS_PORT",
      "default": "443",
      "required": true,
      "hint": "Port for HTTPS traffic (mapped to container port 443)"
    },
     {
      "type": "number",
      "label": "Web UI Port",
      "env_variable": "NPM_WEBUI_PORT",
      "default": "81",
      "required": true,
      "hint": "Port for HTTPS traffic (mapped to container port 443)"
    }
  ],
  "supported_architectures": [
    "arm64",
    "amd64"
  ]
}
